--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: 3.1.1-release
Project Date		: 20090521032914

File				: SKG_Hooks.lua
Commit Author		: zhinjio
Commit Revision		: 118
Commit Date			: 20081030164922
************************************************************************
Description	:
	Mouse button hooking so we can alt right click on things and put them
	into the bidding

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local SKG = LibStub( "AceAddon-3.0"):GetAddon( "SKG" )
local SKGL = LibStub( "AceLocale-3.0"):GetLocale( "SKG" )

-- Here's our hook for alt-right-clicking chat frame links...
SKG:SecureHook( "SetItemRef", function(link, name, button)
	-- I want to detect if this is an alt-right-click
	SKG_Debug( "in my hook for secureitemref" );
	if ( IsAltKeyDown() and ( button == "RightButton" ) ) then
		SKG_Debug( "correctly detected alt key and right click" )
		-- Since I have no idea where the loot item came from, just
		-- put in Unknown for the data
		local mobGUID = 0
		local mobName = "Unknown"
		local _, itemLink = GetItemInfo( link )
		local payload = { mobGUID, mobName, itemLink }
		SKG_SendComm( "LOOTI", payload, "RAID", nil )
	end
end )

-- This little block of code here lets you alt-right-click on item in a bag
-- to fire off a looting event.

SKG:SecureHook( "ContainerFrameItemButton_OnModifiedClick", function ( button )
	SKG_Debug( "in my hook for containerclick" );
	if ( IsAltKeyDown() and ( button == "RightButton" ) ) then
		SKG_Debug( "correctly detected alt key and right click" )
		-- Since I have no idea where the loot item came from, just
		-- put in Unknown for the data
		local mobGUID = 0
		local mobName = "Unknown"
		local itemLink = GetContainerItemLink( this:GetParent():GetID(), this:GetID() ) 
		local payload = { mobGUID, mobName, itemLink }
		SKG_SendComm( "LOOTI", payload, "RAID", nil )
	end
end )

--[[
************************************************************************
CHANGELOG:

Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Probably will require
	major edits once. Added header/footer. 
************************************************************************
]]--
